Subject: [Patch - Next] [USB/FHCI] use dev_name() in place of bus_id.

From: "Sachin P. Sant" <[email-masked]>
Date: Mon, 16 Feb 2009 19:10:11 +0530

Replace references to bus_id with dev_name() to fix fhci driver build break.

drivers/usb/host/fhci-hcd.c:586: error: struct device has no member named bus_id
drivers/usb/host/fhci-hcd.c:653: error: struct device has no member named bus_id
drivers/usb/host/fhci-dbg.c:111: error: struct device has no member named bus_id

Signed-off-by: Sachin Sant <[email-masked]>
---

Replace references to bus_id with dev_name() to fix fhci driver build break.

drivers/usb/host/fhci-hcd.c:586: error: struct device has no member named bus_id
drivers/usb/host/fhci-hcd.c:653: error: struct device has no member named bus_id
drivers/usb/host/fhci-dbg.c:111: error: struct device has no member named bus_id

Signed-off-by: Sachin Sant <[email-masked]>
---

diff -Naurp a/drivers/usb/host/fhci-dbg.c b/drivers/usb/host/fhci-dbg.c
--- a/drivers/usb/host/fhci-dbg.c	2009-02-14 05:01:30.000000000 +0530
+++ b/drivers/usb/host/fhci-dbg.c	2009-02-16 18:19:25.000000000 +0530
@@ -108,7 +108,7 @@ void fhci_dfs_create(struct fhci_hcd *fh
 {
 	struct device *dev = fhci_to_hcd(fhci)->self.controller;
 
-	fhci->dfs_root = debugfs_create_dir(dev->bus_id, NULL);
+	fhci->dfs_root = debugfs_create_dir(dev_name(dev), NULL);
 	if (!fhci->dfs_root) {
 		WARN_ON(1);
 		return;
diff -Naurp a/drivers/usb/host/fhci-hcd.c b/drivers/usb/host/fhci-hcd.c
--- a/drivers/usb/host/fhci-hcd.c	2009-02-14 05:01:30.000000000 +0530
+++ b/drivers/usb/host/fhci-hcd.c	2009-02-16 18:19:00.000000000 +0530
@@ -583,7 +583,7 @@ static int __devinit of_fhci_probe(struc
 	if (sprop && strcmp(sprop, "host"))
 		return -ENODEV;
 
-	hcd = usb_create_hcd(&fhci_driver, dev, dev->bus_id);
+	hcd = usb_create_hcd(&fhci_driver, dev, dev_name(dev));
 	if (!hcd) {
 		dev_err(dev, "could not create hcd\n");
 		return -ENOMEM;
@@ -650,7 +650,7 @@ static int __devinit of_fhci_probe(struc
 			}
 		}
 
-		ret = gpio_request(gpio, dev->bus_id);
+		ret = gpio_request(gpio, dev_name(dev));
 		if (ret) {
 			dev_err(dev, "failed to request gpio %d", i);
 			goto err_gpios;